Bug 1442473 (php-cache-filesystem-adapter) - Review Request: php-cache-filesystem-adapter - A PSR-6 cache implementation using filesystem
Summary: Review Request: php-cache-filesystem-adapter - A PSR-6 cache implementation u...
Keywords:
Status: CLOSED ERRATA
Alias: php-cache-filesystem-adapter
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-psr-simple-cache php-cache-integration-tests php-cache-adapter-common
Blocks: 1438295 1386152
TreeView+ depends on / blocked
 
Reported: 2017-04-14 22:01 UTC by Shawn Iwinski
Modified: 2017-06-14 07:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-13 13:34:43 UTC
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (3.95 KB, text/plain)
2017-05-11 13:21 UTC, Remi Collet
no flags Details
review.txt (7.88 KB, text/plain)
2017-05-11 13:22 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-04-14 22:01:45 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/fc17e66f90ea9573adf80852dec5e0bb41773d15/php-cache-filesystem-adapter/php-cache-filesystem-adapter.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-cache-filesystem-adapter-0.4.0-1.fc25.src.rpm

Description:
A PSR-6 cache implementation using filesystem. This implementation supports
tags.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-05-11 13:21:38 UTC
Created attachment 1277902 [details]
phpci.log

phpCompatInfo version 5.0.6 DB version 1.20.0 built Apr 14 2017
     16:12:51 CEST static analyze results

Comment 2 Remi Collet 2017-05-11 13:22:20 UTC
Created attachment 1277903 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1442473 -L /dev/shm/extras/RPMS/noarch/
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /dev/shm/extras/RPMS/noarch/php-cache-adapter-common-0.4.0-1.fc25.remi.noarch.rpm
    /dev/shm/extras/RPMS/noarch/php-cache-integration-tests-0.16.0-1.fc25.remi.noarch.rpm

Comment 3 Remi Collet 2017-05-11 13:22:53 UTC
Single blocker, trivial to fix

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Cache/Adapter
     (php-cache-adapter-common)

Comment 4 Shawn Iwinski 2017-05-30 22:38:19 UTC
(In reply to Remi Collet from comment #3)
> Single blocker, trivial to fix
> 
> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/share/php/Cache/Adapter
>      (php-cache-adapter-common)

Fixed



Spec URL: https://raw.githubusercontent.com/siwinski/rpms/8f455616178bae05ec7da69cd1a2b6fe3c8b70f9/php-cache-filesystem-adapter/php-cache-filesystem-adapter.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-cache-filesystem-adapter-0.4.0-2.fc25.src.rpm

Comment 5 Remi Collet 2017-05-31 04:31:12 UTC
-%dir %{phpdir}/Cache/Adapter
-     %{phpdir}/Cache/Adapter/Filesystem
+%{phpdir}/Cache/Adapter/Filesystem

[x]: Package does not own files or directories owned by other packages.


== APPROVED ==

Comment 6 Shawn Iwinski 2017-05-31 19:04:36 UTC
THANKS for the review!  Pkg request submitted via pkgdb.

Comment 7 Gwyn Ciesla 2017-06-01 12:40:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-cache-filesystem-adapter

Comment 8 Fedora Update System 2017-06-04 14:49:41 UTC
php-cache-integration-tests-0.16.0-1.fc26 php-cache-adapter-common-0.4.0-1.fc26 php-cache-filesystem-adapter-0.4.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-67d0fe1bb9

Comment 9 Fedora Update System 2017-06-04 14:50:04 UTC
php-cache-integration-tests-0.16.0-1.fc25 php-cache-adapter-common-0.4.0-1.fc25 php-cache-filesystem-adapter-0.4.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c8e2f9970

Comment 10 Fedora Update System 2017-06-05 02:00:55 UTC
php-cache-adapter-common-0.4.0-1.fc25, php-cache-filesystem-adapter-0.4.0-2.fc25, php-cache-integration-tests-0.16.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c8e2f9970

Comment 11 Fedora Update System 2017-06-05 19:05:40 UTC
php-cache-adapter-common-0.4.0-1.fc26, php-cache-filesystem-adapter-0.4.0-2.fc26, php-cache-integration-tests-0.16.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-67d0fe1bb9

Comment 12 Fedora Update System 2017-06-13 13:34:43 UTC
php-cache-adapter-common-0.4.0-1.fc26, php-cache-filesystem-adapter-0.4.0-2.fc26, php-cache-integration-tests-0.16.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-06-14 07:22:02 UTC
php-cache-adapter-common-0.4.0-1.fc25, php-cache-filesystem-adapter-0.4.0-2.fc25, php-cache-integration-tests-0.16.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.